org.apache.ignite.internal.util

## Class GridConcurrentFactory

- java.lang.Object
- - org.apache.ignite.internal.util.GridConcurrentFactory

    public class GridConcurrentFactory
    extends Object

Concurrent map factory.

### Method Summary

Methods
`static <K,V> ConcurrentMap<K,V>` `newMap()` Creates concurrent map with default concurrency level.
`static <K,V> ConcurrentMap<K,V>` `newMap(int initCap)` Creates concurrent map with default concurrency level and given `initCap`.
`static <K,V> ConcurrentMap<K,V>` `newMap(int initCap, int concurrencyLevel)` Creates concurrent map with given concurrency level and initCap.
`static <V> GridConcurrentHashSet<V>` `newSet()` Creates concurrent set with default concurrency level.
`static <V> GridConcurrentHashSet<V>` `newSet(int initCap)` Creates concurrent set with default concurrency level and given `initCap`.
`static <V> GridConcurrentHashSet<V>` `newSet(int initCap, int concurrencyLevel)` Creates concurrent set with given concurrency level and initCap.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newMap

    public static <K,V> ConcurrentMap<K,V> newMap()

Creates concurrent map with default concurrency level.

Returns:
  New concurrent map.

#### newMap

    public static <K,V> ConcurrentMap<K,V> newMap(int initCap)

Creates concurrent map with default concurrency level and given `initCap`.

Parameters:
  `initCap` - Initial capacity.
Returns:
  New concurrent map.

#### newMap

    public static <K,V> ConcurrentMap<K,V> newMap(int initCap,
                                  int concurrencyLevel)

Creates concurrent map with given concurrency level and initCap.

Parameters:
  `initCap` - Initial capacity.
  `concurrencyLevel` - Concurrency level.
Returns:
  New concurrent map.

#### newSet

    public static <V> GridConcurrentHashSet<V> newSet()

Creates concurrent set with default concurrency level.

Returns:
  New concurrent map.

#### newSet

    public static <V> GridConcurrentHashSet<V> newSet(int initCap)

Creates concurrent set with default concurrency level and given `initCap`.

Parameters:
  `initCap` - Initial capacity.
Returns:
  New concurrent map.

#### newSet

    public static <V> GridConcurrentHashSet<V> newSet(int initCap,
                                      int concurrencyLevel)

Creates concurrent set with given concurrency level and initCap.

Parameters:
  `initCap` - Initial capacity.
  `concurrencyLevel` - Concurrency level.
Returns:
  New concurrent map.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015